- Qt 5.15
- Qt Widgets
- C++ Classes
- QAbstractItemDelegate
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QAbstractItemDelegate

The following members of class QAbstractItemDelegate are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QString | elidedText(const QFontMetrics &fontMetrics, int width, Qt::TextElideMode mode, const QString &text)

## Member Function Documentation

### `[static]` QString QAbstractItemDelegate::elidedText(const QFontMetrics &fontMetrics, int width, Qt::TextElideMode mode, const QString &text)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QFontMetrics::elidedText() instead.

For example, if you have code like

     QFontMetrics fm = ...
     QString str = QAbstractItemDelegate::elidedText(fm, width, mode, text);

you can rewrite it as

     QFontMetrics fm = ...
     QString str = fm.elidedText(text, mode, width);